#! /usr/bin/env python
# -*- coding:Utf-8 -*-

"""
Test d'un curseur.

fichier : scaledemo.py
auteur  : G. Swinnen (modifié Bob)
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import tkinter as tk

# Définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def updateLabel(x):
    lab.configure(text='Valeur actuelle = ' + str(x))

# Programme principal ==========================================================
root = tk.Tk()
tk.Scale(root, length=250, orient=tk.HORIZONTAL, label='Réglage :',
      sliderlength=20, showvalue=0, from_=-25, to=125, tickinterval=25,
      command=updateLabel).pack()
lab = tk.Label(root)
lab.pack()

root.mainloop()
